:root{
    --corVerdePrincipal: #283277;
    --corVerdeDestaque: #00559e;
    --corVerdeSuperClaro: #f1edff;
    --corVerdeSuperClaroDestaque: #c8fcea;    
    --corLaranja: #00ab7a;
    --corLaranjaDestaque: #72121e;
    --corCinzaEscuro: #444347;
    --corCinzaClaro: #79797C;
    --corCinzaSuperClaro: #DDDDDD;
}



body{
    font-family: 'Montserrat', sans-serif;    
    font-size: 16px;
    background-color: #FFF;    
    color: #000;
    overflow-x: hidden;

    
}

.status-observacoes{
    cursor: pointer;
    color: var(--corVerdeDestaque);
}

.tooltip-sys{
    max-width: 300px !important;
    position: absolute;
    background: #333;
    color: #fff;
    padding: 20px;
    font-size: 14px;
    border-radius: 5px;    
    z-index: 9999;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s;
}



body .conteudo{
    padding: 0;
    width: 100% !important;
}


.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border: none;
}


/* tela e login -------------------------------------------------------------  */
body.login #content{
    background-image: linear-gradient(to bottom, rgba(0,0,0, 1), rgba(0,0,0, 0.7)), url(../img/login_background.jpg);        
    background-size: cover;
    background-attachment: fixed;
}

body.login .formulario{
    border-radius: 10px;
    box-shadow: 0 0 31px 5px var(--corVerdeDestaque);
    width: 100%;
    background-color: rgba(255,255,255,0.95);
    max-width: 600px;
    padding: 40px;
}

body.login .logo{
    width: auto;
    margin-bottom: 10px;    
    max-width: 100%;    
    
}

body.login .logos-cliente img{
    max-height: 82px;
}

body.login .conteudo{
    height: 100vh;
    display: flex;
    
}

body.login h2{
    color: #ccc;
    font-size: 1.2rem;
}





/* sidebar -------------------------------------------------------------  */
#topNavbar{
    background-color: #FFF;
    border-bottom: 1px solid #ddd;   
    padding: 5px 20px;    
    border-radius: 0;    
}


#topNavbar h4{
    margin-bottom: 0;
}

#topNavbar .base-logo{
    padding: 5px;
    background-color: #FFF;
    height: 50px;
    border-radius: 5px;
}

#topNavbar .base-logo img{
    height: 100%;
}


#topNavbar.clientes{
    background-color: #287EE5;
    color: #FFF;
}

#topNavbar.clientes #btnSidebarCollapse span{
    background: #FFF !important;

}


#topNavbar .logo{
    height: 50px;
    margin-left: 20px;
    opacity: 1;
}

/*
#topNavbar.alternative_sidebar .logo{
    opacity: 1;
}

*/

#topNavbar .title{
    margin-left: 20px;
    font-size: 22px;
    
}


.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebar {    
    min-width: 280px;
    max-width: 280px;
    margin-left: -280px;
    background: #FFF;
    transition: all 0.6s ease-in-out;
    transform-origin: bottom left;
    z-index: 999;
    background-color: #f3f3f3;
}



#sidebar.alternative {
    
    /*transform: rotateY(100deg);*/
}


#sidebar.right{
    
}

#sidebar.right.alternative {    
    margin-left: auto !important;
    margin-right: -280px;
}




#sidebar .sidebar-header {
    padding: 20px 0;   
}

#sidebar .logo{
    max-width: 100%;    
    
}

#sidebar ul.components {
    padding: 20px 0;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul>li:first-child{
    
}

#sidebar ul li.nav-item{
    border-bottom: 1px solid var(--corCinzaSuperClaro);    
    margin: 0 !important;    
}

#sidebar ul li.nav-item.piscar a,
#sidebar ul li.nav-item.piscar i{    
    
}




#sidebar ul>li:last-child{
    
}

#sidebar ul li ul li:first-child{
    border-top: 1px solid var(--corCinzaSuperClaro);    
}

#sidebar ul li ul li{
    border-bottom: 1px solid var(--corCinzaSuperClaro);    
    
}


#sidebar ul li a {
    padding: 5px 10px;
    margin: 0;
    display: block;
    color:#6f6f6f;

}
 
#sidebar ul li a:hover,
#sidebar ul li.active > a, a[aria-expanded="true"] {
    background-color: var(--corVerdeSuperClaro);
}




#sidebar  a[data-toggle="collapse"] {
    position: relative;
}





#sidebar  ul ul{
    padding: 0;
    background: none !important;
    border-bottom: none;
}

#sidebar  ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    /*background: #555;*/    
    padding: 5px 50px !important;
    display: inline-block;
    min-width: 200px;
    
    
    width: 100%;
    

}

#sidebar ul i{
    width: 40px;
    height: 40px;    
    display: inline-flex;
    justify-content: center;    
    align-items: center;
    margin-right: 0;        
    color: var(--corCinzaEscuro); 
}


#sidebar ul .active i{
    color: var(--corLaranja) !important;
}


#sidebar  ul ul a:hover {
    background-color: var(--corVerdeSuperClaro) !important;
    
}




#sidebar ul ul a:hover i{
    
}


#sidebar  .submenu .active .nav-link{
    background-color: var(--corVerdeSuperClaro) !important;
}


#sidebar  .submenu .active:hover .nav-link{
    background-color: var(--corVerdeSuperClaro) !important;
}




/*  conteúdo */



#content {
    background-color: #F7F7FA;
    width: 100%;
    
    transition: all 0.3s;
}



#btnSidebarCollapse {
    width: 40px;
    height: 40px;
    cursor: pointer;
    box-shadow: none;
    outline: none !important;
    border: none;
    border-radius: 5px;
    background-color: transparent;
}

#btnSidebarCollapse span {
    width: 80%;
    height: 2px;
    margin: 0 auto;
    display: block;
    background: #333;    
    transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375);
    transition-delay: 0.2s;
    margin: 5px auto;
}


/* end sidebar */




/* itens padrão do html base ----------------------------------------------------------- */
.icone-pulse i{
    animation: pulse-red 1.5s infinite;
}

@keyframes pulse-red {
    0% {
        
        opacity: 0;
        transform: scale(1);
    }

    100% {
        
        opacity: 1;
        transform: scale(1.3);
    }
}


td:has(.vencido) i{    
    color: #dc3545;
    font-weight: bold;
}


td:has(.atencao) i{    
    color: #fd7e14;
    font-weight: bold;
}


td:has(.no-prazo) i{    
    color: #28a745;
    font-weight: bold;
}

td:has(.nao-se-aplica) i{    
    color: #28a745;
    font-weight: bold;
}



.box-filtros{
    background-color: #efefef;
}


.box-grafico{
    background-color: #efefef;
}


.nav-tabs .nav-link{
    color: var(--corLaranja);
}

.form-check-input:checked{
    background-color: var(--corVerdePrincipal);
    border-color: var(--corVerdePrincipal);
}

.form-control,
.form-select{
    border-radius: 7px !important;
    box-shadow: none !important;
}


.form-control:hover,
.form-control:focus,
.form-select:hover,
.form-select:focus{    
    border-color: var(--corVerdeDestaque) !important;
}

.btn{
    border-radius: 7px !important;
    border: none !important;
    box-shadow: none !important;
}

.btn:hover{
    background-color: var(--corVerdeDestaque);
}

.btn-danger{
    background-color: #CC0000;
}

.btn-danger:hover{
    background-color: #FF0000;
}


.btn-success{
    background-color: var(--corVerdePrincipal);
}

.btn-success:hover{
    background-color: var(--corVerdeDestaque);
}


.btn-primary{
    background-color: var(--corLaranja);
}

.btn-primary:hover{
    background-color: var(--corLaranjaDestaque);
}


.btn-secondary{
    background-color: #CCC;
}

.btn-warning{
    background-color: var(--corVerdeDestaque);
    color: #FFF;
}

.btn-warning:hover{
    background-color: var(--corVerdePrincipal) !important;
    color: #FFF !important;
}


/* data-list */

.page-link{
    color: var(--corVerdePrincipal);
    box-shadow: none !important;    
}

.active .page-link{
    background-color: var(--corVerdePrincipal);
    border-color: var(--corVerdePrincipal);
    
}

/* DataTables - paginação menor */
.dataTables_wrapper .dataTables_paginate .pagination .page-link {
    padding: 0.25rem 0.5rem;
    font-size: 0.85rem;
}

.dataTables_wrapper .dataTables_paginate .pagination .page-item {
    margin: 0;
}



.table>:not(caption)>*>*{
    border-bottom: 1px solid var(--corCinzaSuperClaro);    
}

.table tr{
    background-color: transparent !important;    
    border: none !important;
}

.table tr:first-child td{
    border-top: none !important;
}

.table tr td{
    border-bottom: 1px solid var(--corCinzaSuperClaro);    
}

.table tr:hover td{
    background-color: var(--corVerdeSuperClaro) !important;
}





.alert{
    border-radius: 0 !important;
    border: none !important;
}

a{
    text-decoration: none;
    color: var(--corVerdeDestaque);
    font-weight: 500;
}

a:hover{
    text-decoration: none;
}


header{
    background-color: #191919;
}

header h1{
    margin: 10px 0;
    color: #fff;
    font-size: 20px;
}


header .logo{
    max-height: 70px;
    margin-right: 20px;
    
}


.nav-tabs .nav-link{    
    
}


main{
    padding: 20px;
}

body.login main{
    padding: 10px;
}








/* header */


#cardBase > .card-body{
    background-color: #F7F7FA;
    
}



.conteudo .titulo small{
    color: #CC0000;
}

.conteudo .titulo{
    padding-top: 5px;
}

.conteudo .titulo h1{
    font-size: 1.4rem;
    padding: 0;
    margin: 0;    
}


ol.breadcrumb{
    margin-bottom: 0;
    font-size: 0.8rem;    
    margin-top: 5px;
}


.subtitulo{
    background-color: #EFEFEF;
    padding: 10px 5px;    
    border-radius: 5px;
    margin-bottom: 20px !important;
}

.subtitulo h4{
    padding: 0;
    margin: 0;
    font-size: 1.4rem;
}




.bg-comman {
    background-color: #fff;
    border: 0;
    border-radius: 10px;
    box-shadow: 0 0 31px 3px rgba(44,50,63,.02);
}

.card {
    border: 0;
    border-radius: 0;    
    margin-bottom: 1.875rem;
}



.box-filtro{
    background-color: var(--corVerdeSuperClaro);
    border: 1px solid #efefef;
    padding: 10px;
    border-radius: 7px !important;
    height: 100%;
}

.box-tab{
    background-color: #f7f7f7;
    border: 1px solid #efefef;
    padding: 10px;
    border-radius: 7px !important;
    height: 100%;
}



.listar_datatable{
    width: 100% !important;
}

table.listar .item td{
    background-color: #efefef;
    border-bottom: none !important;
    border-top: 2px solid #999 !important;
}

table.listar .subitem td{
    border-bottom: 1px solid #ccc;
}




.edicao_lateral{
    background-color: #ddd;    
    border-radius: 10px;
}



.edicao_arquivos{
    background-color: #efefef;    
    border-radius: 10px;
}




.pedidos .card-header{
    font-weight: bold;
}

/* ===== BASE PADRÃO ===== */
.base-listagem{     
    width: 100%;
    height: 100%;
}


.nav-pedidos-status .nav-item{
    margin-right: 10px;
}




.pedido-status td{
    border: none !important;    
    padding: 20px !important;
}


#tbListarPedidos{
    border-collapse: separate;
    border-spacing: 0 10px;
}


#tbListarPedidos th{    
    background-color: #F3F3F3;
    border-bottom: none !important;    
    padding: 10px 20px;
    font-weight: normal;    
}


#tbListarPedidos th:first-child{
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    border-left: 10px solid #000;
}


#tbListarPedidos th:last-child{
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}


/* canto esquerdo */
#tbListarPedidos tbody tr td:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

/* canto direito */
#tbListarPedidos tbody tr td:last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}


.pedido-status-btn{
    background:  none !important;
    display: inline-block;
    text-transform: uppercase;
    font-size: 0.8rem;    
    margin: 0 !important;
}

.pedido-status td:first-child{
    border-left-width: 10px !important;
    border-left-style: solid !important;
}







.dt-buttons .btn-secondary{
    background: var(--corVerdeDestaque) !important;
    
}






#iconeAvisos{
    font-size: 1.4rem;
    background-color: #FFF;
    width: 40px;
    height: 40px;    
    border-radius: 30px;
    color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
}



.piscar{
    animation: piscar 2s infinite;    
}


@keyframes piscar {        
    0% { 
            
    }

    100% {
        background-color: var(--corVerdeDestaque);
        color: #FFF;
    }
}


.piscar-nav{
    animation: piscar-nav 2s infinite;    
    color: #FFF;
}

.piscar-nav:not(.active) a{
    color: #FFF !important;
}

.piscar-nav:not(.active) a i{
    color: #FFF !important;
}

@keyframes piscar-nav {        
    0% { 
            
    }

    100% {
        background-color: var(--corVerdeDestaque);
        
    }
}



.toast-aviso {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: var(--corVerdeDestaque); /* verde bootstrap */
    color: #fff;
    padding: 12px 16px;
    border-radius: 6px;
    box-shadow: 0 4px 10px rgba(0,0,0,.2);
    display: none;
    z-index: 999999;
    font-size: 14px;
}


.listar-avisos .novo td{
    background-color: var(--corVerdeSuperClaro);    
    
}


.mudar_plano .box{
    padding: 20px;
    border: 1px solid #CCC;
    border-radius: 15px;
    margin-bottom: 40px;
}

footer{    
    position: fixed !important;
    bottom: 0 !important;
    background-color: #F8F9FA;    
    color: #666;
    padding: 5px;
    z-index: 555;
    font-size: 14px;
    right: 0;
    left: 0;
    text-align: right;
    padding: 5px 10px;
}


@media (max-width: 991.9px) {


    body.login .logos-cliente img{
        max-height: 50px;
    }


    #sidebar{
        margin-left: -280px;
        /*transform: rotateY(90deg);*/
    }

    .wrapper{
        overflow-x: hidden;        
    }


    
    #topNavbar .logo{
        opacity: 1;
    }
    
    #topNavbar.alternative_sidebar .logo{
        
    }

    
    #sidebar img{
        max-width: 100%;
    }
    
    #sidebar.alternative {
        margin-left: 0;
        transform: none;
    }

    #btnSidebarCollapse span:first-of-type,
    #btnSidebarCollapse span:nth-of-type(2),
    #btnSidebarCollapse span:last-of-type {
        transform: none;
        opacity: 1;
        margin: 5px auto;
    }

    #btnSidebarCollapse.active span {
        margin: 0 auto;
    }

    #btnSidebarCollapse.active span:first-of-type {
        transform: rotate(45deg) translate(2px, 2px);
    }

    #btnSidebarCollapse.active span:nth-of-type(2) {
        opacity: 0;
    }

    #btnSidebarCollapse.active span:last-of-type {
        transform: rotate(-45deg) translate(1px, -1px);
    }


    #topNavbar .nav-link span{
        display: none;
    }

    .listar_datatable th,
    .listar_datatable td{
        overflow: hidden; 
    text-overflow: ellipsis;
    white-space: nowrap;    
    }


    .listar_datatable td.dtr-control{
        padding-top: 12px !important;
        padding-left: 40px !important;
    }


    .dataTables_length,
    .dataTables_info{
        background-color: #efefef;
        margin-bottom: 10px;
        padding-top: 5px !important;
        padding-bottom: 5px !important;
    }

    .dataTables_paginate .pagination{
        justify-content: end !important;
    }


}




@media (min-width: 992px) {
    
    #sidebar{
        margin-left: 0 !important;
    }

    #sidebar.alternative{
        margin-left: -280px !important;
    }

    

}


